Ignore:
Timestamp:
May 8, 2010 9:54:35 AM (9 years ago)
Author:
stefan
Message:

copy over pkg-config setup and making thirdparty projects installable projects from split branch

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/FilterSQP/trunk/configure

    r1411 r1548  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion _SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    974974ac_cv_env_MPIF77_set=${MPIF77+set}
    975975ac_cv_env_MPIF77_value=$MPIF77
     976ac_env_PKG_CONFIG_set=${PKG_CONFIG+set}
     977ac_env_PKG_CONFIG_value=$PKG_CONFIG
     978ac_cv_env_PKG_CONFIG_set=${PKG_CONFIG+set}
     979ac_cv_env_PKG_CONFIG_value=$PKG_CONFIG
    976980ac_env_CPP_set=${CPP+set}
    977981ac_env_CPP_value=$CPP
     
    10791083                          icl/link). Default when mentioned: mingw. Default
    10801084                          when not mentioned: disabled.
     1085  --enable-pkg-config     use pkg-config if available (default is yes)
    10811086  --disable-dependency-tracking  speeds up one-time build
    10821087  --enable-dependency-tracking   do not reject slow dependency extractors
     
    10991104  --with-filtersqp-checklevel
    11001105                          specify the sanity check level for project FilterSQP
     1106  --with-coin-instdir     prefix of installation directory for precompiled
     1107                          COIN packages
    11011108  --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
    11021109  --with-pic              try to use only PIC/non-PIC objects [default=use
     
    11231130  FFLAGS      Fortran 77 compiler flags
    11241131  MPIF77      Fortran MPI Compiler
     1132  PKG_CONFIG  path to pkg-config utility
    11251133  CPP         C preprocessor
    11261134  CXX         C++ compiler command
     
    16201628fi
    16211629
     1630
     1631#Set the project's version number
     1632if test "x" != x; then
     1633
     1634cat >>confdefs.h <<_ACEOF
     1635#define _VERSION "$PACKAGE_VERSION"
     1636_ACEOF
     1637
     1638fi
     1639
     1640#Set the project's SVN revision number
     1641# Extract the first word of "svnversion", so it can be a program name with args.
     1642set dummy svnversion; ac_word=$2
     1643echo "$as_me:$LINENO: checking for $ac_word" >&5
     1644echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     1645if test "${ac_cv_prog_have_svnversion+set}" = set; then
     1646  echo $ECHO_N "(cached) $ECHO_C" >&6
     1647else
     1648  if test -n "$have_svnversion"; then
     1649  ac_cv_prog_have_svnversion="$have_svnversion" # Let the user override the test.
     1650else
     1651as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     1652for as_dir in $PATH
     1653do
     1654  IFS=$as_save_IFS
     1655  test -z "$as_dir" && as_dir=.
     1656  for ac_exec_ext in '' $ac_executable_extensions; do
     1657  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     1658    ac_cv_prog_have_svnversion="yes"
     1659    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     1660    break 2
     1661  fi
     1662done
     1663done
     1664
     1665  test -z "$ac_cv_prog_have_svnversion" && ac_cv_prog_have_svnversion="no"
     1666fi
     1667fi
     1668have_svnversion=$ac_cv_prog_have_svnversion
     1669if test -n "$have_svnversion"; then
     1670  echo "$as_me:$LINENO: result: $have_svnversion" >&5
     1671echo "${ECHO_T}$have_svnversion" >&6
     1672else
     1673  echo "$as_me:$LINENO: result: no" >&5
     1674echo "${ECHO_T}no" >&6
     1675fi
     1676
     1677if test "x$have_svnversion" = xyes && test "x" != x; then
     1678
     1679  _SVN_REV=`cd $srcdir/$coin_has_ ; svnversion`
     1680  if test $_SVN_REV != exported; then
     1681
     1682cat >>confdefs.h <<_ACEOF
     1683#define _SVN_REV "$_SVN_REV"
     1684_ACEOF
     1685
     1686  fi
     1687fi
    16221688
    16231689# We set the following variable so that we know later in AC_COIN_FINALIZE
     
    32913357
    32923358# Provide some information about the compiler.
    3293 echo "$as_me:3293:" \
     3359echo "$as_me:3359:" \
    32943360     "checking for Fortran 77 compiler version" >&5
    32953361ac_compiler=`set X $ac_compile; echo $2`
     
    38073873
    38083874
     3875# Get the linker flags (FLIBS) that are required for linking against this blas library
     3876ac_ext=f
     3877ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     3878ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     3879ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     3880echo "$as_me:$LINENO: checking how to get verbose linking output from $F77" >&5
     3881echo $ECHO_N "checking how to get verbose linking output from $F77... $ECHO_C" >&6
     3882if test "${ac_cv_prog_f77_v+set}" = set; then
     3883  echo $ECHO_N "(cached) $ECHO_C" >&6
     3884else
     3885  cat >conftest.$ac_ext <<_ACEOF
     3886      program main
     3887
     3888      end
     3889_ACEOF
     3890rm -f conftest.$ac_objext
     3891if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     3892  (eval $ac_compile) 2>conftest.er1
     3893  ac_status=$?
     3894  grep -v '^ *+' conftest.er1 >conftest.err
     3895  rm -f conftest.er1
     3896  cat conftest.err >&5
     3897  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3898  (exit $ac_status); } &&
     3899         { ac_try='test -z "$ac_f77_werror_flag"
     3900                         || test ! -s conftest.err'
     3901  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3902  (eval $ac_try) 2>&5
     3903  ac_status=$?
     3904  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3905  (exit $ac_status); }; } &&
     3906         { ac_try='test -s conftest.$ac_objext'
     3907  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3908  (eval $ac_try) 2>&5
     3909  ac_status=$?
     3910  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3911  (exit $ac_status); }; }; then
     3912  ac_cv_prog_f77_v=
     3913# Try some options frequently used verbose output
     3914for ac_verb in -v -verbose --verbose -V -\#\#\#; do
     3915  cat >conftest.$ac_ext <<_ACEOF
     3916      program main
     3917
     3918      end
     3919_ACEOF
     3920
     3921# Compile and link our simple test program by passing a flag (argument
     3922# 1 to this macro) to the Fortran compiler in order to get
     3923# "verbose" output that we can then parse for the Fortran linker
     3924# flags.
     3925ac_save_FFLAGS=$FFLAGS
     3926FFLAGS="$FFLAGS $ac_verb"
     3927(eval echo $as_me:3927: \"$ac_link\") >&5
     3928ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
     3929echo "$ac_f77_v_output" >&5
     3930FFLAGS=$ac_save_FFLAGS
     3931
     3932rm -f conftest*
     3933
     3934# On HP/UX there is a line like: "LPATH is: /foo:/bar:/baz" where
     3935# /foo, /bar, and /baz are search directories for the Fortran linker.
     3936# Here, we change these into -L/foo -L/bar -L/baz (and put it first):
     3937ac_f77_v_output="`echo $ac_f77_v_output |
     3938        grep 'LPATH is:' |
     3939        sed 's,.*LPATH is\(: *[^ ]*\).*,\1,;s,: */, -L/,g'` $ac_f77_v_output"
     3940
     3941case $ac_f77_v_output in
     3942  # If we are using xlf then replace all the commas with spaces.
     3943  *xlfentry*)
     3944    ac_f77_v_output=`echo $ac_f77_v_output | sed 's/,/ /g'` ;;
     3945
     3946  # With Intel ifc, ignore the quoted -mGLOB_options_string stuff (quoted
     3947  # $LIBS confuse us, and the libraries appear later in the output anyway).
     3948  *mGLOB_options_string*)
     3949    ac_f77_v_output=`echo $ac_f77_v_output | sed 's/\"-mGLOB[^\"]*\"/ /g'` ;;
     3950
     3951  # If we are using Cray Fortran then delete quotes.
     3952  # Use "\"" instead of '"' for font-lock-mode.
     3953  # FIXME: a more general fix for quoted arguments with spaces?
     3954  *cft90*)
     3955    ac_f77_v_output=`echo $ac_f77_v_output | sed "s/\"//g"` ;;
     3956esac
     3957
     3958
     3959  # look for -l* and *.a constructs in the output
     3960  for ac_arg in $ac_f77_v_output; do
     3961     case $ac_arg in
     3962        [\\/]*.a | ?:[\\/]*.a | -[lLRu]*)
     3963          ac_cv_prog_f77_v=$ac_verb
     3964          break 2 ;;
     3965     esac
     3966  done
     3967done
     3968if test -z "$ac_cv_prog_f77_v"; then
     3969   { echo "$as_me:$LINENO: WARNING: cannot determine how to obtain linking information from $F77" >&5
     3970echo "$as_me: WARNING: cannot determine how to obtain linking information from $F77" >&2;}
     3971fi
     3972else
     3973  echo "$as_me: failed program was:" >&5
     3974sed 's/^/| /' conftest.$ac_ext >&5
     3975
     3976{ echo "$as_me:$LINENO: WARNING: compilation failed" >&5
     3977echo "$as_me: WARNING: compilation failed" >&2;}
     3978fi
     3979rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     3980
     3981fi
     3982echo "$as_me:$LINENO: result: $ac_cv_prog_f77_v" >&5
     3983echo "${ECHO_T}$ac_cv_prog_f77_v" >&6
     3984echo "$as_me:$LINENO: checking for Fortran libraries of $F77" >&5
     3985echo $ECHO_N "checking for Fortran libraries of $F77... $ECHO_C" >&6
     3986if test "${ac_cv_f77_libs+set}" = set; then
     3987  echo $ECHO_N "(cached) $ECHO_C" >&6
     3988else
     3989  if test "x$FLIBS" != "x"; then
     3990  ac_cv_f77_libs="$FLIBS" # Let the user override the test.
     3991else
     3992
     3993cat >conftest.$ac_ext <<_ACEOF
     3994      program main
     3995
     3996      end
     3997_ACEOF
     3998
     3999# Compile and link our simple test program by passing a flag (argument
     4000# 1 to this macro) to the Fortran compiler in order to get
     4001# "verbose" output that we can then parse for the Fortran linker
     4002# flags.
     4003ac_save_FFLAGS=$FFLAGS
     4004FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
     4005(eval echo $as_me:4005: \"$ac_link\") >&5
     4006ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
     4007echo "$ac_f77_v_output" >&5
     4008FFLAGS=$ac_save_FFLAGS
     4009
     4010rm -f conftest*
     4011
     4012# On HP/UX there is a line like: "LPATH is: /foo:/bar:/baz" where
     4013# /foo, /bar, and /baz are search directories for the Fortran linker.
     4014# Here, we change these into -L/foo -L/bar -L/baz (and put it first):
     4015ac_f77_v_output="`echo $ac_f77_v_output |
     4016        grep 'LPATH is:' |
     4017        sed 's,.*LPATH is\(: *[^ ]*\).*,\1,;s,: */, -L/,g'` $ac_f77_v_output"
     4018
     4019case $ac_f77_v_output in
     4020  # If we are using xlf then replace all the commas with spaces.
     4021  *xlfentry*)
     4022    ac_f77_v_output=`echo $ac_f77_v_output | sed 's/,/ /g'` ;;
     4023
     4024  # With Intel ifc, ignore the quoted -mGLOB_options_string stuff (quoted
     4025  # $LIBS confuse us, and the libraries appear later in the output anyway).
     4026  *mGLOB_options_string*)
     4027    ac_f77_v_output=`echo $ac_f77_v_output | sed 's/\"-mGLOB[^\"]*\"/ /g'` ;;
     4028
     4029  # If we are using Cray Fortran then delete quotes.
     4030  # Use "\"" instead of '"' for font-lock-mode.
     4031  # FIXME: a more general fix for quoted arguments with spaces?
     4032  *cft90*)
     4033    ac_f77_v_output=`echo $ac_f77_v_output | sed "s/\"//g"` ;;
     4034esac
     4035
     4036
     4037
     4038ac_cv_f77_libs=
     4039
     4040# Save positional arguments (if any)
     4041ac_save_positional="$@"
     4042
     4043set X $ac_f77_v_output
     4044while test $# != 1; do
     4045  shift
     4046  ac_arg=$1
     4047  case $ac_arg in
     4048        [\\/]*.a | ?:[\\/]*.a)
     4049            ac_exists=false
     4050  for ac_i in $ac_cv_f77_libs; do
     4051    if test x"$ac_arg" = x"$ac_i"; then
     4052      ac_exists=true
     4053      break
     4054    fi
     4055  done
     4056
     4057  if test x"$ac_exists" = xtrue; then
     4058  :
     4059else
     4060  ac_cv_f77_libs="$ac_cv_f77_libs $ac_arg"
     4061fi
     4062
     4063          ;;
     4064        -bI:*)
     4065            ac_exists=false
     4066  for ac_i in $ac_cv_f77_libs; do
     4067    if test x"$ac_arg" = x"$ac_i"; then
     4068      ac_exists=true
     4069      break
     4070    fi
     4071  done
     4072
     4073  if test x"$ac_exists" = xtrue; then
     4074  :
     4075else
     4076  if test "$ac_compiler_gnu" = yes; then
     4077  for ac_link_opt in $ac_arg; do
     4078    ac_cv_f77_libs="$ac_cv_f77_libs -Xlinker $ac_link_opt"
     4079  done
     4080else
     4081  ac_cv_f77_libs="$ac_cv_f77_libs $ac_arg"
     4082fi
     4083fi
     4084
     4085          ;;
     4086          # Ignore these flags.
     4087        -lang* | -lcrt[01].o | -lcrtbegin.o | -lc | -lgcc | -libmil | -LANG:=*)
     4088          ;;
     4089        -lkernel32)
     4090          test x"$CYGWIN" != xyes && ac_cv_f77_libs="$ac_cv_f77_libs $ac_arg"
     4091          ;;
     4092        -[LRuY])
     4093          # These flags, when seen by themselves, take an argument.
     4094          # We remove the space between option and argument and re-iterate
     4095          # unless we find an empty arg or a new option (starting with -)
     4096          case $2 in
     4097             "" | -*);;
     4098             *)
     4099                ac_arg="$ac_arg$2"
     4100                shift; shift
     4101                set X $ac_arg "$@"
     4102                ;;
     4103          esac
     4104          ;;
     4105        -YP,*)
     4106          for ac_j in `echo $ac_arg | sed -e 's/-YP,/-L/;s/:/ -L/g'`; do
     4107              ac_exists=false
     4108  for ac_i in $ac_cv_f77_libs; do
     4109    if test x"$ac_j" = x"$ac_i"; then
     4110      ac_exists=true
     4111      break
     4112    fi
     4113  done
     4114
     4115  if test x"$ac_exists" = xtrue; then
     4116  :
     4117else
     4118  ac_arg="$ac_arg $ac_j"
     4119                               ac_cv_f77_libs="$ac_cv_f77_libs $ac_j"
     4120fi
     4121
     4122          done
     4123          ;;
     4124        -[lLR]*)
     4125            ac_exists=false
     4126  for ac_i in $ac_cv_f77_libs; do
     4127    if test x"$ac_arg" = x"$ac_i"; then
     4128      ac_exists=true
     4129      break
     4130    fi
     4131  done
     4132
     4133  if test x"$ac_exists" = xtrue; then
     4134  :
     4135else
     4136  ac_cv_f77_libs="$ac_cv_f77_libs $ac_arg"
     4137fi
     4138
     4139          ;;
     4140          # Ignore everything else.
     4141  esac
     4142done
     4143# restore positional arguments
     4144set X $ac_save_positional; shift
     4145
     4146# We only consider "LD_RUN_PATH" on Solaris systems.  If this is seen,
     4147# then we insist that the "run path" must be an absolute path (i.e. it
     4148# must begin with a "/").
     4149case `(uname -sr) 2>/dev/null` in
     4150   "SunOS 5"*)
     4151      ac_ld_run_path=`echo $ac_f77_v_output |
     4152                        sed -n 's,^.*LD_RUN_PATH *= *\(/[^ ]*\).*$,-R\1,p'`
     4153      test "x$ac_ld_run_path" != x &&
     4154        if test "$ac_compiler_gnu" = yes; then
     4155  for ac_link_opt in $ac_ld_run_path; do
     4156    ac_cv_f77_libs="$ac_cv_f77_libs -Xlinker $ac_link_opt"
     4157  done
     4158else
     4159  ac_cv_f77_libs="$ac_cv_f77_libs $ac_ld_run_path"
     4160fi
     4161      ;;
     4162esac
     4163fi # test "x$[]_AC_LANG_PREFIX[]LIBS" = "x"
     4164
     4165fi
     4166echo "$as_me:$LINENO: result: $ac_cv_f77_libs" >&5
     4167echo "${ECHO_T}$ac_cv_f77_libs" >&6
     4168FLIBS="$ac_cv_f77_libs"
     4169
     4170
     4171ac_ext=f
     4172ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4173ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4174ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4175
     4176ac_ext=f
     4177ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4178ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4179ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4180
     4181echo "$as_me:$LINENO: checking for dummy main to link with Fortran libraries" >&5
     4182echo $ECHO_N "checking for dummy main to link with Fortran libraries... $ECHO_C" >&6
     4183if test "${ac_cv_f77_dummy_main+set}" = set; then
     4184  echo $ECHO_N "(cached) $ECHO_C" >&6
     4185else
     4186  ac_f77_dm_save_LIBS=$LIBS
     4187 LIBS="$LIBS $FLIBS"
     4188 ac_fortran_dm_var=F77_DUMMY_MAIN
     4189 ac_ext=c
     4190ac_cpp='$CPP $CPPFLAGS'
     4191ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4192ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4193ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4194
     4195 # First, try linking without a dummy main:
     4196 cat >conftest.$ac_ext <<_ACEOF
     4197/* confdefs.h.  */
     4198_ACEOF
     4199cat confdefs.h >>conftest.$ac_ext
     4200cat >>conftest.$ac_ext <<_ACEOF
     4201/* end confdefs.h.  */
     4202
     4203#ifdef F77_DUMMY_MAIN
     4204
     4205#  ifdef __cplusplus
     4206     extern "C"
     4207#  endif
     4208   int F77_DUMMY_MAIN() { return 1; }
     4209
     4210#endif
     4211int
     4212main ()
     4213{
     4214
     4215  ;
     4216  return 0;
     4217}
     4218_ACEOF
     4219rm -f conftest.$ac_objext conftest$ac_exeext
     4220if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4221  (eval $ac_link) 2>conftest.er1
     4222  ac_status=$?
     4223  grep -v '^ *+' conftest.er1 >conftest.err
     4224  rm -f conftest.er1
     4225  cat conftest.err >&5
     4226  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4227  (exit $ac_status); } &&
     4228         { ac_try='test -z "$ac_c_werror_flag"
     4229                         || test ! -s conftest.err'
     4230  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4231  (eval $ac_try) 2>&5
     4232  ac_status=$?
     4233  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4234  (exit $ac_status); }; } &&
     4235         { ac_try='test -s conftest$ac_exeext'
     4236  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4237  (eval $ac_try) 2>&5
     4238  ac_status=$?
     4239  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4240  (exit $ac_status); }; }; then
     4241  ac_cv_fortran_dummy_main=none
     4242else
     4243  echo "$as_me: failed program was:" >&5
     4244sed 's/^/| /' conftest.$ac_ext >&5
     4245
     4246ac_cv_fortran_dummy_main=unknown
     4247fi
     4248rm -f conftest.err conftest.$ac_objext \
     4249      conftest$ac_exeext conftest.$ac_ext
     4250
     4251 if test $ac_cv_fortran_dummy_main = unknown; then
     4252   for ac_func in MAIN__ MAIN_ __main MAIN _MAIN __MAIN main_ main__ _main; do
     4253     cat >conftest.$ac_ext <<_ACEOF
     4254/* confdefs.h.  */
     4255_ACEOF
     4256cat confdefs.h >>conftest.$ac_ext
     4257cat >>conftest.$ac_ext <<_ACEOF
     4258/* end confdefs.h.  */
     4259#define $ac_fortran_dm_var $ac_func
     4260#ifdef F77_DUMMY_MAIN
     4261
     4262#  ifdef __cplusplus
     4263     extern "C"
     4264#  endif
     4265   int F77_DUMMY_MAIN() { return 1; }
     4266
     4267#endif
     4268int
     4269main ()
     4270{
     4271
     4272  ;
     4273  return 0;
     4274}
     4275_ACEOF
     4276rm -f conftest.$ac_objext conftest$ac_exeext
     4277if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4278  (eval $ac_link) 2>conftest.er1
     4279  ac_status=$?
     4280  grep -v '^ *+' conftest.er1 >conftest.err
     4281  rm -f conftest.er1
     4282  cat conftest.err >&5
     4283  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4284  (exit $ac_status); } &&
     4285         { ac_try='test -z "$ac_c_werror_flag"
     4286                         || test ! -s conftest.err'
     4287  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4288  (eval $ac_try) 2>&5
     4289  ac_status=$?
     4290  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4291  (exit $ac_status); }; } &&
     4292         { ac_try='test -s conftest$ac_exeext'
     4293  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4294  (eval $ac_try) 2>&5
     4295  ac_status=$?
     4296  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4297  (exit $ac_status); }; }; then
     4298  ac_cv_fortran_dummy_main=$ac_func; break
     4299else
     4300  echo "$as_me: failed program was:" >&5
     4301sed 's/^/| /' conftest.$ac_ext >&5
     4302
     4303fi
     4304rm -f conftest.err conftest.$ac_objext \
     4305      conftest$ac_exeext conftest.$ac_ext
     4306   done
     4307 fi
     4308 ac_ext=f
     4309ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4310ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4311ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4312 ac_cv_f77_dummy_main=$ac_cv_fortran_dummy_main
     4313 rm -f conftest*
     4314 LIBS=$ac_f77_dm_save_LIBS
     4315
     4316fi
     4317echo "$as_me:$LINENO: result: $ac_cv_f77_dummy_main" >&5
     4318echo "${ECHO_T}$ac_cv_f77_dummy_main" >&6
     4319F77_DUMMY_MAIN=$ac_cv_f77_dummy_main
     4320if test "$F77_DUMMY_MAIN" != unknown; then
     4321  if test $F77_DUMMY_MAIN != none; then
     4322
     4323cat >>confdefs.h <<_ACEOF
     4324#define F77_DUMMY_MAIN $F77_DUMMY_MAIN
     4325_ACEOF
     4326
     4327  if test "x$ac_cv_fc_dummy_main" = "x$ac_cv_f77_dummy_main"; then
     4328
     4329cat >>confdefs.h <<\_ACEOF
     4330#define FC_DUMMY_MAIN_EQ_F77 1
     4331_ACEOF
     4332
     4333  fi
     4334fi
     4335else
     4336  { { echo "$as_me:$LINENO: error: linking to Fortran libraries from C fails
     4337See \`config.log' for more details." >&5
     4338echo "$as_me: error: linking to Fortran libraries from C fails
     4339See \`config.log' for more details." >&2;}
     4340   { (exit 1); exit 1; }; }
     4341fi
     4342
     4343
     4344ac_ext=f
     4345ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4346ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4347ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4348
     4349ac_ext=f
     4350ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4351ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4352ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4353echo "$as_me:$LINENO: checking for Fortran name-mangling scheme" >&5
     4354echo $ECHO_N "checking for Fortran name-mangling scheme... $ECHO_C" >&6
     4355if test "${ac_cv_f77_mangling+set}" = set; then
     4356  echo $ECHO_N "(cached) $ECHO_C" >&6
     4357else
     4358  cat >conftest.$ac_ext <<_ACEOF
     4359      subroutine foobar()
     4360      return
     4361      end
     4362      subroutine foo_bar()
     4363      return
     4364      end
     4365_ACEOF
     4366rm -f conftest.$ac_objext
     4367if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     4368  (eval $ac_compile) 2>conftest.er1
     4369  ac_status=$?
     4370  grep -v '^ *+' conftest.er1 >conftest.err
     4371  rm -f conftest.er1
     4372  cat conftest.err >&5
     4373  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4374  (exit $ac_status); } &&
     4375         { ac_try='test -z "$ac_f77_werror_flag"
     4376                         || test ! -s conftest.err'
     4377  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4378  (eval $ac_try) 2>&5
     4379  ac_status=$?
     4380  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4381  (exit $ac_status); }; } &&
     4382         { ac_try='test -s conftest.$ac_objext'
     4383  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4384  (eval $ac_try) 2>&5
     4385  ac_status=$?
     4386  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4387  (exit $ac_status); }; }; then
     4388  mv conftest.$ac_objext cfortran_test.$ac_objext
     4389
     4390  ac_save_LIBS=$LIBS
     4391  LIBS="cfortran_test.$ac_objext $LIBS $FLIBS"
     4392
     4393  ac_ext=c
     4394ac_cpp='$CPP $CPPFLAGS'
     4395ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4396ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4397ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4398  ac_success=no
     4399  for ac_foobar in foobar FOOBAR; do
     4400    for ac_underscore in "" "_"; do
     4401      ac_func="$ac_foobar$ac_underscore"
     4402      cat >conftest.$ac_ext <<_ACEOF
     4403/* confdefs.h.  */
     4404_ACEOF
     4405cat confdefs.h >>conftest.$ac_ext
     4406cat >>conftest.$ac_ext <<_ACEOF
     4407/* end confdefs.h.  */
     4408
     4409/* Override any gcc2 internal prototype to avoid an error.  */
     4410#ifdef __cplusplus
     4411extern "C"
     4412#endif
     4413/* We use char because int might match the return type of a gcc2
     4414   builtin and then its argument prototype would still apply.  */
     4415char $ac_func ();
     4416#ifdef F77_DUMMY_MAIN
     4417
     4418#  ifdef __cplusplus
     4419     extern "C"
     4420#  endif
     4421   int F77_DUMMY_MAIN() { return 1; }
     4422
     4423#endif
     4424int
     4425main ()
     4426{
     4427$ac_func ();
     4428  ;
     4429  return 0;
     4430}
     4431_ACEOF
     4432rm -f conftest.$ac_objext conftest$ac_exeext
     4433if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4434  (eval $ac_link) 2>conftest.er1
     4435  ac_status=$?
     4436  grep -v '^ *+' conftest.er1 >conftest.err
     4437  rm -f conftest.er1
     4438  cat conftest.err >&5
     4439  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4440  (exit $ac_status); } &&
     4441         { ac_try='test -z "$ac_c_werror_flag"
     4442                         || test ! -s conftest.err'
     4443  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4444  (eval $ac_try) 2>&5
     4445  ac_status=$?
     4446  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4447  (exit $ac_status); }; } &&
     4448         { ac_try='test -s conftest$ac_exeext'
     4449  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4450  (eval $ac_try) 2>&5
     4451  ac_status=$?
     4452  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4453  (exit $ac_status); }; }; then
     4454  ac_success=yes; break 2
     4455else
     4456  echo "$as_me: failed program was:" >&5
     4457sed 's/^/| /' conftest.$ac_ext >&5
     4458
     4459fi
     4460rm -f conftest.err conftest.$ac_objext \
     4461      conftest$ac_exeext conftest.$ac_ext
     4462    done
     4463  done
     4464  ac_ext=f
     4465ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4466ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4467ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4468
     4469  if test "$ac_success" = "yes"; then
     4470     case $ac_foobar in
     4471        foobar)
     4472           ac_case=lower
     4473           ac_foo_bar=foo_bar
     4474           ;;
     4475        FOOBAR)
     4476           ac_case=upper
     4477           ac_foo_bar=FOO_BAR
     4478           ;;
     4479     esac
     4480
     4481     ac_ext=c
     4482ac_cpp='$CPP $CPPFLAGS'
     4483ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4484ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4485ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4486     ac_success_extra=no
     4487     for ac_extra in "" "_"; do
     4488        ac_func="$ac_foo_bar$ac_underscore$ac_extra"
     4489        cat >conftest.$ac_ext <<_ACEOF
     4490/* confdefs.h.  */
     4491_ACEOF
     4492cat confdefs.h >>conftest.$ac_ext
     4493cat >>conftest.$ac_ext <<_ACEOF
     4494/* end confdefs.h.  */
     4495
     4496/* Override any gcc2 internal prototype to avoid an error.  */
     4497#ifdef __cplusplus
     4498extern "C"
     4499#endif
     4500/* We use char because int might match the return type of a gcc2
     4501   builtin and then its argument prototype would still apply.  */
     4502char $ac_func ();
     4503#ifdef F77_DUMMY_MAIN
     4504
     4505#  ifdef __cplusplus
     4506     extern "C"
     4507#  endif
     4508   int F77_DUMMY_MAIN() { return 1; }
     4509
     4510#endif
     4511int
     4512main ()
     4513{
     4514$ac_func ();
     4515  ;
     4516  return 0;
     4517}
     4518_ACEOF
     4519rm -f conftest.$ac_objext conftest$ac_exeext
     4520if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4521  (eval $ac_link) 2>conftest.er1
     4522  ac_status=$?
     4523  grep -v '^ *+' conftest.er1 >conftest.err
     4524  rm -f conftest.er1
     4525  cat conftest.err >&5
     4526  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4527  (exit $ac_status); } &&
     4528         { ac_try='test -z "$ac_c_werror_flag"
     4529                         || test ! -s conftest.err'
     4530  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4531  (eval $ac_try) 2>&5
     4532  ac_status=$?
     4533  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4534  (exit $ac_status); }; } &&
     4535         { ac_try='test -s conftest$ac_exeext'
     4536  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4537  (eval $ac_try) 2>&5
     4538  ac_status=$?
     4539  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4540  (exit $ac_status); }; }; then
     4541  ac_success_extra=yes; break
     4542else
     4543  echo "$as_me: failed program was:" >&5
     4544sed 's/^/| /' conftest.$ac_ext >&5
     4545
     4546fi
     4547rm -f conftest.err conftest.$ac_objext \
     4548      conftest$ac_exeext conftest.$ac_ext
     4549     done
     4550     ac_ext=f
     4551ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4552ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4553ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4554
     4555     if test "$ac_success_extra" = "yes"; then
     4556        ac_cv_f77_mangling="$ac_case case"
     4557        if test -z "$ac_underscore"; then
     4558           ac_cv_f77_mangling="$ac_cv_f77_mangling, no underscore"
     4559        else
     4560           ac_cv_f77_mangling="$ac_cv_f77_mangling, underscore"
     4561        fi
     4562        if test -z "$ac_extra"; then
     4563           ac_cv_f77_mangling="$ac_cv_f77_mangling, no extra underscore"
     4564        else
     4565           ac_cv_f77_mangling="$ac_cv_f77_mangling, extra underscore"
     4566        fi
     4567      else
     4568        ac_cv_f77_mangling="unknown"
     4569      fi
     4570  else
     4571     ac_cv_f77_mangling="unknown"
     4572  fi
     4573
     4574  LIBS=$ac_save_LIBS
     4575  rm -f cfortran_test* conftest*
     4576else
     4577  echo "$as_me: failed program was:" >&5
     4578sed 's/^/| /' conftest.$ac_ext >&5
     4579
     4580{ { echo "$as_me:$LINENO: error: cannot compile a simple Fortran program
     4581See \`config.log' for more details." >&5
     4582echo "$as_me: error: cannot compile a simple Fortran program
     4583See \`config.log' for more details." >&2;}
     4584   { (exit 1); exit 1; }; }
     4585fi
     4586rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     4587
     4588fi
     4589echo "$as_me:$LINENO: result: $ac_cv_f77_mangling" >&5
     4590echo "${ECHO_T}$ac_cv_f77_mangling" >&6
     4591
     4592ac_ext=f
     4593ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4594ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4595ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4596
     4597
     4598ac_ext=f
     4599ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4600ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4601ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4602
     4603
     4604ac_ext=f
     4605ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4606ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4607ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4608
     4609
     4610case $ac_cv_f77_mangling in
     4611  "lower case, no underscore, no extra underscore")
     4612          cat >>confdefs.h <<\_ACEOF
     4613#define F77_FUNC(name,NAME) name
     4614_ACEOF
     4615
     4616          cat >>confdefs.h <<\_ACEOF
     4617#define F77_FUNC_(name,NAME) name
     4618_ACEOF
     4619 ;;
     4620  "lower case, no underscore, extra underscore")
     4621          cat >>confdefs.h <<\_ACEOF
     4622#define F77_FUNC(name,NAME) name
     4623_ACEOF
     4624
     4625          cat >>confdefs.h <<\_ACEOF
     4626#define F77_FUNC_(name,NAME) name ## _
     4627_ACEOF
     4628 ;;
     4629  "lower case, underscore, no extra underscore")
     4630          cat >>confdefs.h <<\_ACEOF
     4631#define F77_FUNC(name,NAME) name ## _
     4632_ACEOF
     4633
     4634          cat >>confdefs.h <<\_ACEOF
     4635#define F77_FUNC_(name,NAME) name ## _
     4636_ACEOF
     4637 ;;
     4638  "lower case, underscore, extra underscore")
     4639          cat >>confdefs.h <<\_ACEOF
     4640#define F77_FUNC(name,NAME) name ## _
     4641_ACEOF
     4642
     4643          cat >>confdefs.h <<\_ACEOF
     4644#define F77_FUNC_(name,NAME) name ## __
     4645_ACEOF
     4646 ;;
     4647  "upper case, no underscore, no extra underscore")
     4648          cat >>confdefs.h <<\_ACEOF
     4649#define F77_FUNC(name,NAME) NAME
     4650_ACEOF
     4651
     4652          cat >>confdefs.h <<\_ACEOF
     4653#define F77_FUNC_(name,NAME) NAME
     4654_ACEOF
     4655 ;;
     4656  "upper case, no underscore, extra underscore")
     4657          cat >>confdefs.h <<\_ACEOF
     4658#define F77_FUNC(name,NAME) NAME
     4659_ACEOF
     4660
     4661          cat >>confdefs.h <<\_ACEOF
     4662#define F77_FUNC_(name,NAME) NAME ## _
     4663_ACEOF
     4664 ;;
     4665  "upper case, underscore, no extra underscore")
     4666          cat >>confdefs.h <<\_ACEOF
     4667#define F77_FUNC(name,NAME) NAME ## _
     4668_ACEOF
     4669
     4670          cat >>confdefs.h <<\_ACEOF
     4671#define F77_FUNC_(name,NAME) NAME ## _
     4672_ACEOF
     4673 ;;
     4674  "upper case, underscore, extra underscore")
     4675          cat >>confdefs.h <<\_ACEOF
     4676#define F77_FUNC(name,NAME) NAME ## _
     4677_ACEOF
     4678
     4679          cat >>confdefs.h <<\_ACEOF
     4680#define F77_FUNC_(name,NAME) NAME ## __
     4681_ACEOF
     4682 ;;
     4683  *)
     4684          { echo "$as_me:$LINENO: WARNING: unknown Fortran name-mangling scheme" >&5
     4685echo "$as_me: WARNING: unknown Fortran name-mangling scheme" >&2;}
     4686          ;;
     4687esac
     4688
     4689ac_ext=f
     4690ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4691ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4692ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4693
     4694
     4695# If FLIBS has been set by the user, we just restore its value here
     4696if test x"$save_FLIBS" != x; then
     4697  FLIBS="$save_FLIBS"
     4698else
     4699  # This is to correct a missing exclusion in autoconf 2.59
     4700  if test x"$FLIBS" != x; then
     4701    my_flibs=
     4702    for flag in $FLIBS; do
     4703      case $flag in
     4704        -lcrt*.o) ;;
     4705        -lcygwin) ;;
     4706               *) my_flibs="$my_flibs $flag" ;;
     4707      esac
     4708    done
     4709    FLIBS="$my_flibs"
     4710  fi
     4711
     4712  case $build in
     4713  # The following is a fix to define FLIBS for ifort on Windows
     4714  # In its original version, it linked in libifcorert.lib or libifcorertd.lib on Windows/ifort explicitly.
     4715  # However, this seem to create a dependency on libifcorert.dll (or libifcorertd.dll) in the executables.
     4716  # This is seem to be unnecessary, libifcorert(d).lib has been removed from the link line.
     4717     *-cygwin* | *-mingw*)
     4718       case "$F77" in
     4719         ifort* | */ifort* | IFORT* | */IFORT*)
     4720           FLIBS="-link $LIBS /NODEFAULTLIB:libc.lib"
     4721#           if "$coin_debug_compile" = true ; then
     4722#             FLIBS="-link $LIBS /NODEFAULTLIB:libc.lib /NODEFAULTLIB:libcmt.lib"
     4723#           else
     4724#             FLIBS="-link $LIBS /NODEFAULTLIB:libc.lib /NODEFAULTLIB:libcmtd.lib"
     4725#           fi
     4726           ;;
     4727         compile_f2c*)
     4728           FLIBS=`$F77 -FLIBS` ;;
     4729       esac;;
     4730     *-hp-*)
     4731         FLIBS="$FLIBS -lm";;
     4732     *-ibm-*)
     4733         FLIBS=`echo $FLIBS | sed 's/-lc)/-lc/g'` ;;
     4734     *-linux-*)
     4735       case "$F77" in
     4736         pgf77* | */pgf77* | pgf90* | */pgf90*)
     4737# ask linker to go through the archives multiple times
     4738# (the Fortran compiler seems to do that automatically...
     4739           FLIBS="-Wl,--start-group $FLIBS -Wl,--end-group" ;;
     4740       esac
     4741  esac
     4742  ac_cv_f77_libs="$FLIBS"
     4743fi
     4744
     4745ac_ext=c
     4746ac_cpp='$CPP $CPPFLAGS'
     4747ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4748ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4749ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4750
     4751
     4752
     4753
     4754# Tell FINALIZE to add FLIBS to ADDLIBS, so that they get into the .pc files
     4755coin_need_flibs=yes
     4756
     4757# Check if pkg-config is available (to setup addlibs file)
     4758
     4759
     4760# Check whether --enable-pkg-config or --disable-pkg-config was given.
     4761if test "${enable_pkg_config+set}" = set; then
     4762  enableval="$enable_pkg_config"
     4763  use_pkgconfig="$enableval"
     4764else
     4765  use_pkgconfig=yes
     4766fi;
     4767
     4768if test $use_pkgconfig = yes ; then
     4769  if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
     4770    if test -n "$ac_tool_prefix"; then
     4771  # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
     4772set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
     4773echo "$as_me:$LINENO: checking for $ac_word" >&5
     4774echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     4775if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
     4776  echo $ECHO_N "(cached) $ECHO_C" >&6
     4777else
     4778  case $PKG_CONFIG in
     4779  [\\/]* | ?:[\\/]*)
     4780  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
     4781  ;;
     4782  *)
     4783  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     4784for as_dir in $PATH
     4785do
     4786  IFS=$as_save_IFS
     4787  test -z "$as_dir" && as_dir=.
     4788  for ac_exec_ext in '' $ac_executable_extensions; do
     4789  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     4790    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     4791    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     4792    break 2
     4793  fi
     4794done
     4795done
     4796
     4797  ;;
     4798esac
     4799fi
     4800PKG_CONFIG=$ac_cv_path_PKG_CONFIG
     4801
     4802if test -n "$PKG_CONFIG"; then
     4803  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
     4804echo "${ECHO_T}$PKG_CONFIG" >&6
     4805else
     4806  echo "$as_me:$LINENO: result: no" >&5
     4807echo "${ECHO_T}no" >&6
     4808fi
     4809
     4810fi
     4811if test -z "$ac_cv_path_PKG_CONFIG"; then
     4812  ac_pt_PKG_CONFIG=$PKG_CONFIG
     4813  # Extract the first word of "pkg-config", so it can be a program name with args.
     4814set dummy pkg-config; ac_word=$2
     4815echo "$as_me:$LINENO: checking for $ac_word" >&5
     4816echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     4817if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
     4818  echo $ECHO_N "(cached) $ECHO_C" >&6
     4819else
     4820  case $ac_pt_PKG_CONFIG in
     4821  [\\/]* | ?:[\\/]*)
     4822  ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
     4823  ;;
     4824  *)
     4825  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     4826for as_dir in $PATH
     4827do
     4828  IFS=$as_save_IFS
     4829  test -z "$as_dir" && as_dir=.
     4830  for ac_exec_ext in '' $ac_executable_extensions; do
     4831  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     4832    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     4833    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     4834    break 2
     4835  fi
     4836done
     4837done
     4838
     4839  ;;
     4840esac
     4841fi
     4842ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
     4843
     4844if test -n "$ac_pt_PKG_CONFIG"; then
     4845  echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
     4846echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6
     4847else
     4848  echo "$as_me:$LINENO: result: no" >&5
     4849echo "${ECHO_T}no" >&6
     4850fi
     4851
     4852  PKG_CONFIG=$ac_pt_PKG_CONFIG
     4853else
     4854  PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
     4855fi
     4856
     4857  fi
     4858  if test -n "$PKG_CONFIG"; then
     4859    _pkg_min_version=0.9.0
     4860    echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
     4861echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6
     4862    if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
     4863      echo "$as_me:$LINENO: result: yes" >&5
     4864echo "${ECHO_T}yes" >&6
     4865    else
     4866      echo "$as_me:$LINENO: result: no" >&5
     4867echo "${ECHO_T}no" >&6
     4868      PKG_CONFIG=""
     4869    fi
     4870  fi
     4871
     4872  # check if pkg-config supports the short-errors flag
     4873  if test -n "$PKG_CONFIG" && \
     4874    $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
     4875    pkg_short_errors=" --short-errors "
     4876  else
     4877    pkg_short_errors=""
     4878  fi
     4879fi
     4880
     4881
     4882
     4883if test -n "$PKG_CONFIG"; then
     4884  COIN_HAS_PKGCONFIG_TRUE=
     4885  COIN_HAS_PKGCONFIG_FALSE='#'
     4886else
     4887  COIN_HAS_PKGCONFIG_TRUE='#'
     4888  COIN_HAS_PKGCONFIG_FALSE=
     4889fi
     4890
     4891
     4892
     4893# assemble search path for pkg-config, if we are in a project setup
     4894if test x$coin_projectdir = xyes ; then
     4895  COIN_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     4896
     4897  # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
     4898  # best would actually to use ${libdir}, since .pc files get installed into ${libdir}/pkgconfig,
     4899  # unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
     4900  if test -d "${prefix}"; then
     4901    COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     4902  fi
     4903
     4904
     4905# Check whether --with-coin-instdir or --without-coin-instdir was given.
     4906if test "${with_coin_instdir+set}" = set; then
     4907  withval="$with_coin_instdir"
     4908  if test -d "$withval"; then : ; else
     4909       { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     4910echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     4911   { (exit 1); exit 1; }; }
     4912     fi
     4913     COIN_PKG_CONFIG_PATH="$withval/lib/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     4914
     4915fi;
     4916
     4917  # in a classic setup, we want to find uninstalled projects
     4918  # their (relative) location is written to coin_subdirs.txt by the configure in the project base directory
     4919  # unfortunately, if the user set prefix, then we do not know where the project base directory is located
     4920  # but it is likely to be either .. (if we are a usual coin project) or ../.. (if we are a unusual coin project like ThirdParty or Data)
     4921  if test -e ../coin_subdirs.txt ; then
     4922    for i in `cat ../coin_subdirs.txt` ; do
     4923      if test -d ../$i ; then
     4924        COIN_PKG_CONFIG_PATH="`cd ../$i; pwd`:${COIN_PKG_CONFIG_PATH}"
     4925      fi
     4926    done
     4927  fi
     4928
     4929  if test -e ../../coin_subdirs.txt ; then
     4930    for i in `cat ../../coin_subdirs.txt` ; do
     4931      if test -d ../../$i ; then
     4932        COIN_PKG_CONFIG_PATH="`cd ../../$i; pwd`:${COIN_PKG_CONFIG_PATH}"
     4933      fi
     4934    done
     4935  fi
     4936
     4937
     4938fi
     4939
     4940
     4941
    38094942# Initialize automake
    38104943echo "$as_me:$LINENO: checking for egrep" >&5
     
    60957228*-*-irix6*)
    60967229  # Find out which ABI we are using.
    6097   echo '#line 6097 "configure"' > conftest.$ac_ext
     7230  echo '#line 7230 "configure"' > conftest.$ac_ext
    60987231  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    60997232  (eval $ac_compile) 2>&5
     
    61987331/* end confdefs.h.  */
    61997332
     7333#ifdef F77_DUMMY_MAIN
     7334
     7335#  ifdef __cplusplus
     7336     extern "C"
     7337#  endif
     7338   int F77_DUMMY_MAIN() { return 1; }
     7339
     7340#endif
    62007341int
    62017342main ()
     
    65287669#include <float.h>
    65297670
     7671#ifdef F77_DUMMY_MAIN
     7672
     7673#  ifdef __cplusplus
     7674     extern "C"
     7675#  endif
     7676   int F77_DUMMY_MAIN() { return 1; }
     7677
     7678#endif
    65307679int
    65317680main ()
     
    70258174/* end confdefs.h.  */
    70268175
     8176#ifdef F77_DUMMY_MAIN
     8177
     8178#  ifdef __cplusplus
     8179     extern "C"
     8180#  endif
     8181   int F77_DUMMY_MAIN() { return 1; }
     8182
     8183#endif
    70278184int
    70288185main ()
     
    70878244/* end confdefs.h.  */
    70888245
     8246#ifdef F77_DUMMY_MAIN
     8247
     8248#  ifdef __cplusplus
     8249     extern "C"
     8250#  endif
     8251   int F77_DUMMY_MAIN() { return 1; }
     8252
     8253#endif
    70898254int
    70908255main ()
     
    71598324$ac_declaration
    71608325#include <stdlib.h>
     8326#ifdef F77_DUMMY_MAIN
     8327
     8328#  ifdef __cplusplus
     8329     extern "C"
     8330#  endif
     8331   int F77_DUMMY_MAIN() { return 1; }
     8332
     8333#endif
    71618334int
    71628335main ()
     
    72048377/* end confdefs.h.  */
    72058378$ac_declaration
     8379#ifdef F77_DUMMY_MAIN
     8380
     8381#  ifdef __cplusplus
     8382     extern "C"
     8383#  endif
     8384   int F77_DUMMY_MAIN() { return 1; }
     8385
     8386#endif
    72068387int
    72078388main ()
     
    86339814   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86349815   -e 's:$: $lt_compiler_flag:'`
    8635    (eval echo "\"\$as_me:8635: $lt_compile\"" >&5)
     9816   (eval echo "\"\$as_me:9816: $lt_compile\"" >&5)
    86369817   (eval "$lt_compile" 2>conftest.err)
    86379818   ac_status=$?
    86389819   cat conftest.err >&5
    8639    echo "$as_me:8639: \$? = $ac_status" >&5
     9820   echo "$as_me:9820: \$? = $ac_status" >&5
    86409821   if (exit $ac_status) && test -s "$ac_outfile"; then
    86419822     # The compiler can only warn and ignore the option if not recognized
     
    890110082   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    890210083   -e 's:$: $lt_compiler_flag:'`
    8903    (eval echo "\"\$as_me:8903: $lt_compile\"" >&5)
     10084   (eval echo "\"\$as_me:10084: $lt_compile\"" >&5)
    890410085   (eval "$lt_compile" 2>conftest.err)
    890510086   ac_status=$?
    890610087   cat conftest.err >&5
    8907    echo "$as_me:8907: \$? = $ac_status" >&5
     10088   echo "$as_me:10088: \$? = $ac_status" >&5
    890810089   if (exit $ac_status) && test -s "$ac_outfile"; then
    890910090     # The compiler can only warn and ignore the option if not recognized
     
    900510186   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    900610187   -e 's:$: $lt_compiler_flag:'`
    9007    (eval echo "\"\$as_me:9007: $lt_compile\"" >&5)
     10188   (eval echo "\"\$as_me:10188: $lt_compile\"" >&5)
    900810189   (eval "$lt_compile" 2>out/conftest.err)
    900910190   ac_status=$?
    901010191   cat out/conftest.err >&5
    9011    echo "$as_me:9011: \$? = $ac_status" >&5
     10192   echo "$as_me:10192: \$? = $ac_status" >&5
    901210193   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    901310194   then
     
    946410645/* end confdefs.h.  */
    946510646
     10647#ifdef F77_DUMMY_MAIN
     10648
     10649#  ifdef __cplusplus
     10650     extern "C"
     10651#  endif
     10652   int F77_DUMMY_MAIN() { return 1; }
     10653
     10654#endif
    946610655int
    946710656main ()
     
    952510714/* end confdefs.h.  */
    952610715
     10716#ifdef F77_DUMMY_MAIN
     10717
     10718#  ifdef __cplusplus
     10719     extern "C"
     10720#  endif
     10721   int F77_DUMMY_MAIN() { return 1; }
     10722
     10723#endif
    952710724int
    952810725main ()
     
    1079311990   builtin and then its argument prototype would still apply.  */
    1079411991char dlopen ();
     11992#ifdef F77_DUMMY_MAIN
     11993
     11994#  ifdef __cplusplus
     11995     extern "C"
     11996#  endif
     11997   int F77_DUMMY_MAIN() { return 1; }
     11998
     11999#endif
    1079512000int
    1079612001main ()
     
    1089712102#endif
    1089812103
     12104#ifdef F77_DUMMY_MAIN
     12105
     12106#  ifdef __cplusplus
     12107     extern "C"
     12108#  endif
     12109   int F77_DUMMY_MAIN() { return 1; }
     12110
     12111#endif
    1089912112int
    1090012113main ()
     
    1096312176   builtin and then its argument prototype would still apply.  */
    1096412177char shl_load ();
     12178#ifdef F77_DUMMY_MAIN
     12179
     12180#  ifdef __cplusplus
     12181     extern "C"
     12182#  endif
     12183   int F77_DUMMY_MAIN() { return 1; }
     12184
     12185#endif
    1096512186int
    1096612187main ()
     
    1105712278#endif
    1105812279
     12280#ifdef F77_DUMMY_MAIN
     12281
     12282#  ifdef __cplusplus
     12283     extern "C"
     12284#  endif
     12285   int F77_DUMMY_MAIN() { return 1; }
     12286
     12287#endif
    1105912288int
    1106012289main ()
     
    1112312352   builtin and then its argument prototype would still apply.  */
    1112412353char dlopen ();
     12354#ifdef F77_DUMMY_MAIN
     12355
     12356#  ifdef __cplusplus
     12357     extern "C"
     12358#  endif
     12359   int F77_DUMMY_MAIN() { return 1; }
     12360
     12361#endif
    1112512362int
    1112612363main ()
     
    1119012427   builtin and then its argument prototype would still apply.  */
    1119112428char dlopen ();
     12429#ifdef F77_DUMMY_MAIN
     12430
     12431#  ifdef __cplusplus
     12432     extern "C"
     12433#  endif
     12434   int F77_DUMMY_MAIN() { return 1; }
     12435
     12436#endif
    1119212437int
    1119312438main ()
     
    1125712502   builtin and then its argument prototype would still apply.  */
    1125812503char dld_link ();
     12504#ifdef F77_DUMMY_MAIN
     12505
     12506#  ifdef __cplusplus
     12507     extern "C"
     12508#  endif
     12509   int F77_DUMMY_MAIN() { return 1; }
     12510
     12511#endif
    1125912512int
    1126012513main ()
     
    1135012603  lt_status=$lt_dlunknown
    1135112604  cat > conftest.$ac_ext <<EOF
    11352 #line 11352 "configure"
     12605#line 12605 "configure"
    1135312606#include "confdefs.h"
    1135412607
     
    1145012703  lt_status=$lt_dlunknown
    1145112704  cat > conftest.$ac_ext <<EOF
    11452 #line 11452 "configure"
     12705#line 12705 "configure"
    1145312706#include "confdefs.h"
    1145412707
     
    1251613769/* end confdefs.h.  */
    1251713770
     13771#ifdef F77_DUMMY_MAIN
     13772
     13773#  ifdef __cplusplus
     13774     extern "C"
     13775#  endif
     13776   int F77_DUMMY_MAIN() { return 1; }
     13777
     13778#endif
    1251813779int
    1251913780main ()
     
    1257813839/* end confdefs.h.  */
    1257913840
     13841#ifdef F77_DUMMY_MAIN
     13842
     13843#  ifdef __cplusplus
     13844     extern "C"
     13845#  endif
     13846   int F77_DUMMY_MAIN() { return 1; }
     13847
     13848#endif
    1258013849int
    1258113850main ()
     
    1379415063   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1379515064   -e 's:$: $lt_compiler_flag:'`
    13796    (eval echo "\"\$as_me:13796: $lt_compile\"" >&5)
     15065   (eval echo "\"\$as_me:15065: $lt_compile\"" >&5)
    1379715066   (eval "$lt_compile" 2>conftest.err)
    1379815067   ac_status=$?
    1379915068   cat conftest.err >&5
    13800    echo "$as_me:13800: \$? = $ac_status" >&5
     15069   echo "$as_me:15069: \$? = $ac_status" >&5
    1380115070   if (exit $ac_status) && test -s "$ac_outfile"; then
    1380215071     # The compiler can only warn and ignore the option if not recognized
     
    1389815167   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1389915168   -e 's:$: $lt_compiler_flag:'`
    13900    (eval echo "\"\$as_me:13900: $lt_compile\"" >&5)
     15169   (eval echo "\"\$as_me:15169: $lt_compile\"" >&5)
    1390115170   (eval "$lt_compile" 2>out/conftest.err)
    1390215171   ac_status=$?
    1390315172   cat out/conftest.err >&5
    13904    echo "$as_me:13904: \$? = $ac_status" >&5
     15173   echo "$as_me:15173: \$? = $ac_status" >&5
    1390515174   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1390615175   then
     
    1546816737   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1546916738   -e 's:$: $lt_compiler_flag:'`
    15470    (eval echo "\"\$as_me:15470: $lt_compile\"" >&5)
     16739   (eval echo "\"\$as_me:16739: $lt_compile\"" >&5)
    1547116740   (eval "$lt_compile" 2>conftest.err)
    1547216741   ac_status=$?
    1547316742   cat conftest.err >&5
    15474    echo "$as_me:15474: \$? = $ac_status" >&5
     16743   echo "$as_me:16743: \$? = $ac_status" >&5
    1547516744   if (exit $ac_status) && test -s "$ac_outfile"; then
    1547616745     # The compiler can only warn and ignore the option if not recognized
     
    1557216841   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1557316842   -e 's:$: $lt_compiler_flag:'`
    15574    (eval echo "\"\$as_me:15574: $lt_compile\"" >&5)
     16843   (eval echo "\"\$as_me:16843: $lt_compile\"" >&5)
    1557516844   (eval "$lt_compile" 2>out/conftest.err)
    1557616845   ac_status=$?
    1557716846   cat out/conftest.err >&5
    15578    echo "$as_me:15578: \$? = $ac_status" >&5
     16847   echo "$as_me:16847: \$? = $ac_status" >&5
    1557916848   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1558016849   then
     
    1777919048   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1778019049   -e 's:$: $lt_compiler_flag:'`
    17781    (eval echo "\"\$as_me:17781: $lt_compile\"" >&5)
     19050   (eval echo "\"\$as_me:19050: $lt_compile\"" >&5)
    1778219051   (eval "$lt_compile" 2>conftest.err)
    1778319052   ac_status=$?
    1778419053   cat conftest.err >&5
    17785    echo "$as_me:17785: \$? = $ac_status" >&5
     19054   echo "$as_me:19054: \$? = $ac_status" >&5
    1778619055   if (exit $ac_status) && test -s "$ac_outfile"; then
    1778719056     # The compiler can only warn and ignore the option if not recognized
     
    1804719316   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1804819317   -e 's:$: $lt_compiler_flag:'`
    18049    (eval echo "\"\$as_me:18049: $lt_compile\"" >&5)
     19318   (eval echo "\"\$as_me:19318: $lt_compile\"" >&5)
    1805019319   (eval "$lt_compile" 2>conftest.err)
    1805119320   ac_status=$?
    1805219321   cat conftest.err >&5
    18053    echo "$as_me:18053: \$? = $ac_status" >&5
     19322   echo "$as_me:19322: \$? = $ac_status" >&5
    1805419323   if (exit $ac_status) && test -s "$ac_outfile"; then
    1805519324     # The compiler can only warn and ignore the option if not recognized
     
    1815119420   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1815219421   -e 's:$: $lt_compiler_flag:'`
    18153    (eval echo "\"\$as_me:18153: $lt_compile\"" >&5)
     19422   (eval echo "\"\$as_me:19422: $lt_compile\"" >&5)
    1815419423   (eval "$lt_compile" 2>out/conftest.err)
    1815519424   ac_status=$?
    1815619425   cat out/conftest.err >&5
    18157    echo "$as_me:18157: \$? = $ac_status" >&5
     19426   echo "$as_me:19426: \$? = $ac_status" >&5
    1815819427   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1815919428   then
     
    1861019879/* end confdefs.h.  */
    1861119880
     19881#ifdef F77_DUMMY_MAIN
     19882
     19883#  ifdef __cplusplus
     19884     extern "C"
     19885#  endif
     19886   int F77_DUMMY_MAIN() { return 1; }
     19887
     19888#endif
    1861219889int
    1861319890main ()
     
    1867119948/* end confdefs.h.  */
    1867219949
     19950#ifdef F77_DUMMY_MAIN
     19951
     19952#  ifdef __cplusplus
     19953     extern "C"
     19954#  endif
     19955   int F77_DUMMY_MAIN() { return 1; }
     19956
     19957#endif
    1867319958int
    1867419959main ()
     
    2105322338}
    2105422339
    21055           ac_config_files="$ac_config_files Makefile"
     22340                              ac_config_files="$ac_config_files Makefile coinfiltersqp.pc coinfiltersqp-uninstalled.pc"
    2105622341
    2105722342
     
    2111122396    done
    2111222397    subdirs="$new_subdirs"
     22398  fi
     22399
     22400  # need to come before AC_OUTPUT
     22401  if test x$coin_projectdir != xyes; then
     22402    # write coin_subdirs to a file so that project configuration knows where to find uninstalled projects
     22403    echo $coin_subdirs > coin_subdirs.txt
     22404  else
     22405    # substitute for OBJDIR, needed to setup .pc file for uninstalled project
     22406    ABSBUILDDIR="`pwd`"
     22407
    2111322408  fi
    2111422409
     
    2123922534Usually this means the macro was only invoked conditionally." >&5
    2124022535echo "$as_me: error: conditional \"ALWAYS_FALSE\" was never defined.
     22536Usually this means the macro was only invoked conditionally." >&2;}
     22537   { (exit 1); exit 1; }; }
     22538fi
     22539if test -z "${COIN_HAS_PKGCONFIG_TRUE}" && test -z "${COIN_HAS_PKGCONFIG_FALSE}"; then
     22540  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_PKGCONFIG\" was never defined.
     22541Usually this means the macro was only invoked conditionally." >&5
     22542echo "$as_me: error: conditional \"COIN_HAS_PKGCONFIG\" was never defined.
    2124122543Usually this means the macro was only invoked conditionally." >&2;}
    2124222544   { (exit 1); exit 1; }; }
     
    2174523047  # Handling of arguments.
    2174623048  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
     23049  "coinfiltersqp.pc" ) CONFIG_FILES="$CONFIG_FILES coinfiltersqp.pc" ;;
     23050  "coinfiltersqp-uninstalled.pc" ) CONFIG_FILES="$CONFIG_FILES coinfiltersqp-uninstalled.pc" ;;
    2174723051  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
    2174823052  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
     
    2183423138s,@ALWAYS_FALSE_TRUE@,$ALWAYS_FALSE_TRUE,;t t
    2183523139s,@ALWAYS_FALSE_FALSE@,$ALWAYS_FALSE_FALSE,;t t
     23140s,@have_svnversion@,$have_svnversion,;t t
     23141s,@_SVN_REV@,$_SVN_REV,;t t
    2183623142s,@build@,$build,;t t
    2183723143s,@build_cpu@,$build_cpu,;t t
     
    2185823164s,@ac_ct_F77@,$ac_ct_F77,;t t
    2185923165s,@MPIF77@,$MPIF77,;t t
     23166s,@FLIBS@,$FLIBS,;t t
     23167s,@PKG_CONFIG@,$PKG_CONFIG,;t t
     23168s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
     23169s,@COIN_HAS_PKGCONFIG_TRUE@,$COIN_HAS_PKGCONFIG_TRUE,;t t
     23170s,@COIN_HAS_PKGCONFIG_FALSE@,$COIN_HAS_PKGCONFIG_FALSE,;t t
     23171s,@COIN_PKG_CONFIG_PATH@,$COIN_PKG_CONFIG_PATH,;t t
    2186023172s,@EGREP@,$EGREP,;t t
    2186123173s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
     
    2193023242s,@LIBEXT@,$LIBEXT,;t t
    2193123243s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
     23244s,@ABSBUILDDIR@,$ABSBUILDDIR,;t t
    2193223245s,@LIBOBJS@,$LIBOBJS,;t t
    2193323246s,@LTLIBOBJS@,$LTLIBOBJS,;t t
Note: See TracChangeset for help on using the changeset viewer.